spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cong yue <yuecong1...@gmail.com>
Subject IPyhon notebook command for spark need to be updated?
Date Fri, 20 Mar 2015 22:45:30 GMT
Hello :

I tried ipython notebook with the following command in my enviroment.

PYSPARK_DRIVER_PYTHON=ipython PYSPARK_DRIVER_PYTHON_OPTS="notebook
--pylab inline" ./bin/pyspark

But it shows " --pylab inline" support is removed from ipython newest version.
the log is as :
---
$ PYSPARK_DRIVER_PYTHON=ipython PYSPARK_DRIVER_PYTHON_OPTS="notebook
--pylab inline" ./bin/pyspark
[E 15:29:43.076 NotebookApp] Support for specifying --pylab on the
command line has been removed.
[E 15:29:43.077 NotebookApp] Please use `%pylab inline` or
`%matplotlib inline` in the notebook itself.
--
I am using IPython 3.0.0. and only IPython works in my enviroment.
--
$ PYSPARK_DRIVER_PYTHON=ipython PYSPARK_DRIVER_PYTHON_OPTS="notebook
--pylab inline" ./bin/pyspark
--

Does somebody have the same issue as mine? How do you solve it?

Thanks,
Cong

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@spark.apache.org
For additional commands, e-mail: user-help@spark.apache.org


Mime
View raw message